Name: H5Dget_type
Signature:
  hid_t `H5Dget_type`(hid_t `dataset_id` )
Purpose:
  Returns an identifier for a copy of the datatype for a dataset.
Description:
  `H5Dget_type` returns an identifier for a copy of the datatype for a dataset.

  The datatype should be released with the `H5Tclose` function.

  If a dataset has a named datatype, then an identifier to the opened datatype is returned. Otherwise, the returned datatype is read-only. If atomization of the datatype fails, then the datatype is closed.

Parameters:

hid_t `dataset_id` | IN: Identifier of the dataset to query.

Returns:
  Returns a datatype identifier if successful; otherwise returns a negative value.
Fortran90 Interface: h5dget_type_f

      SUBROUTINE h5dget_type_f(dataset_id, datatype_id, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: dataset_id    ! Dataset identifier
        INTEGER(HID_T), INTENT(OUT) :: datatype_id  ! Datatype identifier
        INTEGER, INTENT(OUT) :: hdferr              ! Error code
                                                    ! 0 on success and -1 on failure
      END SUBROUTINE h5dget_type_f